<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8">
      <!-- Set the viewport width to match phone and tablet device widths -->                         
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <!-- Allow KeymanWeb to be saved to the iPhone home screen -->
      <meta name="apple-mobile-web-app-capable" content="yes">
      <!-- Enable IE9 Standards mode -->
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <title>Poorna Malayalam Typewriter Keyboard - Text Editor</title>
      <link href="https://smc.org.in/fonts/manjari.css" rel='stylesheet' type='text/css'>
      <style>
         body {
         background-color: #d6f5d6;
         font-family:"Manjari", sans-serif;
         }
         textarea  
         {  
         font-family:"Manjari" !important;
         font-size : 14pt;
         max-width: 100%;
         color : black;
         background-color: #ffffe6;
         }
         a:link {
         color: blue;
         text-decoration:none;
         }
      </style>
   </head>
   <body>
      <h3>Poorna Malayalam Typewriter Keyboard - Text Editor</h3>
      <textarea cols="50" rows="12" id="textarea1" placeholder="ഇവിടെ മലയാളത്തിൽ ടൈപ്പു ചെയ്യാം...."></textarea>
      <br>
      <p>
         <a href="./poorna_malayalam_typewriter/build/poorna_malayalam_typewriter.kmp" target="blank">&#10687;&nbsp;Download this keyboard for Keyman&nbsp;&nbsp;&nbsp;</a>
         <a href="https://keyman.com" target="blank">&#10687;&nbsp;Keyman&nbsp;&nbsp;&nbsp;</a>
         <a href="https://help.keyman.com" target="blank">&#10687;&nbsp;Keyman Help</a>
      </p>
      <!--
         In this example, we are loading KeymanWeb late.  If you focus on a control early (e.g. a search box), 
         you may want to place the KeymanWeb code into the head instead, to ensure it is available by the
         time the user wants to start typing.
         -->
      <!-- KeymanWeb script -->
      <script src='https://s.keyman.com/kmw/engine/16.0.145/keymanweb.js'></script>
      <!-- 
         For desktop browsers, a script for the user interface must be inserted here.
          
         Standard UIs are toggle, button, float and toolbar.  
         The toolbar UI is best for any page designed to support keyboards for 
         a large number of languages.
         -->
      <script src='https://s.keyman.com/kmw/engine/16.0.145/kmwuitoggle.js'></script>
      <!-- Initialization: set paths to keyboards, resources and fonts as required -->
      <script>
         (function(kmw) {
           kmw.init({attachType:'auto'});
         
           kmw.addKeyboards({
         id:'poorna_malayalam_typewriter',  // The keyboard's unique identification code.
         name:'Poorna Malayalam Typewriter', // The keyboard's user-readable name.
         language:{
         id:'ml', // A BCP 47 code uniquely identifying the language.
         name:'Malayalam' // The language's name.
         },
         filename:'./poorna_malayalam_typewriter/build/poorna_malayalam_typewriter.js' // A valid path to the compiled *.js file representing the keyboard.
         });
         //kmw.addKeyboards('poorna_malayalam_typewriter'); //
         })(keyman);
      </script>
   </body>
</html>
